const ZhCn = {
    name: 'zh-cn',
    form: {
        field: '字段 ID',
        title: '字段名称',
        info: '提示信息',
        ignore: '忽略字段',
        native: '是否显示标题',
        control: '组件联动',
        labelShow: '是否显示',
        labelPosition: '标签的位置',
        labelStyle: '标签的样式',
        labelSuffix: '标签的后缀',
        formItem: '配置表单项',
        formItemSpan: '组件宽度',
        row: '整行',
        globalEvent: '全局事件',
        globalFetch: '全局数据源',
        globalClass: '全局样式',
        globalConfig: '全局配置',
        size: '表单的尺寸',
        event: '表单事件',
        labelWidth: '标签的宽度',
        hideRequiredAsterisk: '隐藏必填字段的标签旁边的红色星号',
        formItemMarginBottom: '表单项的下边距',
        showMessage: '显示校验错误信息',
        inlineMessage: '以行内形式展示校验信息',
        submitBtn: '是否显示表单提交按钮',
        resetBtn: '是否显示表单重置按钮',
        appendChild: '添加子级',
        formMode: '表单模式',
        formName: '表单名称',
        ignoreHiddenFields: '提交表单时忽略被隐藏的字段',
        previewMode: '阅读模式',
        componentMode: '生成组件',
        sfcMode: '生成SFC',
        document: '帮助文档',
        controlDocument: '需要更详细的配置方法？请查看{doc}',
        onSubmit: '表单提交时触发',
        onReset: '表单重置后触发',
        onCreated: '表单组件初始化完毕后触发',
        onMounted: '表单组件渲染完毕后触发',
        onReload: '表单渲染规则重载后触发',
        onChange: '表单组件的值发生变化时触发',
        beforeSubmit: '表单验证通过时触发',
        beforeFetch: '远程数据请求发送前触发',
    },
    ai: {
        name: '智能表单助理',
        info: '您好，我是您的智能表单助手！我可以帮助您快速生成和修改表单，帮助您轻松高效地完成表单设计。',
        try: '你可以试着问我',
        change: '换一换',
        loading: '正在根据您的需求制作表单，请稍候...',
        fail: '制作表单时遇到问题，请尝试调整内容。',
        success: '已处理完毕！',
        placeholder: '请描述您的需求',
    },
    warning: {
        name: '组件的唯一标识，用于获取和修改该组件的配置规则。通过该标识可以精确定位组件，实现对组件属性和行为的控制。',
        field: '组件对应的字段名用于与组件的数据进行绑定。字段名需以字母开头，以确保能够正确识别。',
        formList: '用于管理和切换表单模板，方便在不同业务场景中快速切换和配置表单。',
        fetch: '远程数据通过远程请求加载组件的配置项。配置请求参数后，组件会自动发起请求，获取远程数据并根据返回的结果更新组件。',
        fetchQuery: '定义请求的 GET 参数，通过 URL 传递数据。',
        fetchData: '定义请求的 POST 参数，通过请求体传递数据。',
        fetchDataType: '选择请求体的数据类型，确保数据格式正确。',
        beforeFetch: '在请求发送前，可通过处理函数修改请求参数；若需终止请求，直接返回 false 或一个拒绝的 Promise。',
        fetchParse: '请求返回后，可以通过处理函数对返回的结果进行处理，将结果转换为组件所需的数据和结构。',
        language: '管理页面的多语言数据，在组件中配置不同语言的文本，支持一键切换语言体系，便于在多语言环境下使用和展示内容。',
        variable: '从变量读取配置项的值，支持通过变量（如 Cookie、localStorage、全局变量和外部数据源等）设置配置项。当关联的变量变化时，配置项会同步更新。',
        variableInfo: '请在变量列表中选择变量。如果变量的值是对象，您可以通过 {{variableName.attributeName}} 格式访问对象中的属性值。',
        pageManage: '设计表单中的子弹窗，通过事件触发弹窗显示，便于在表单中动态展示信息或进行交互操作。',
        globalConfig: '管理全局事件、样式、数据和变量，用于在不同组件间进行数据共享和事件处理。',
        globalClass: '提供定义全局样式和 Class 的功能，用户可以在组件配置中选择并应用这些预定义的 Class，以实现统一的样式管理。',
        globalEvent: '全局事件用于定义组件事件，供组件进行配置和选择，方便在不同组件中统一使用预设事件，简化事件的管理和分发。',
        globalFetch: '全局数据源用于定义常用的数据源，支持静态数据和远程数据。该数据源可在各种组件配置中使用，方便统一管理和调用数据。',
        globalVariable: '全局变量中可以定义计算属性，通过表单数据和外部数据返回组件所需的数据。关联数据变化时，计算属性会自动更新，可以在绑定变量模块和事件中使用。',
        ignore: '开启后，表单提交时会自动排除该组件的字段，不会将其包含在提交的数据中。',
        ignoreHiddenFields: '开启后，表单提交时会自动过滤掉被隐藏的组件字段，确保仅提交可见的字段数据。',
        behaviorIgnoreError: '如果动作执行过程中发生错误，是否继续执行后续的动作。',
        behaviorExpression: '当条件达成时，动作才会被执行。',
        behaviorStopPropagation: '当条件达成时，会阻止后续动作的执行。',
        computedCondition: '通过定义条件，组件的状态和数据值会根据条件是否成立自动调整。',
        computedFormula: '通过公式和表单数据，动态计算组件的状态和数据值。',
    },
    computed: {
        value: {
            title: '数据联动',
            btn: '设置数据联动',
            name: '设置组件的值'
        },
        hidden: {
            title: '隐藏条件',
            btn: '设置隐藏条件',
            name: '设置组件的隐藏条件'
        },
        required: {
            title: '必填条件',
            btn: '设置必填条件',
            name: '设置组件的必填条件'
        },
        disabled: {
            title: '禁用条件',
            btn: '设置禁用条件',
            name: '设置组件的禁用条件'
        },
        formulas: {
            '==': '等于',
            '!=': '不等于',
            'on': '包含',
            'notOn': '不包含',
            'empty': '为空',
            'notEmpty': '不为空',
            'pattern': '正则表达式',
            '>': '大于',
            '>=': '大于等于',
            '<': '小于',
            '<=': '小于等于',
        },
        variable: {
            attr: '属性列表',
            bind: '绑定变量',
            list: '变量列表',
            btn: '设置变量',
            title: '全局变量',
            create: '创建变量',
            placeholder: '请输入变量的描述信息',
        },
        linkage: {
            trigger: '触发以下联动',
            info: [
                '当前组件联动显示',
                '的值',
            ],
        },
        name: '计算公式',
        setting: '设置条件',
        invert: '条件成立后组件状态',
        condition: '逻辑条件',
        addCondition: '添加条件',
        addGroup: '添加条件组',
        form: '当前表单',
        subform: '子表单',
        formula: '函数公式',
        formulaInfo: '函数说明',
        formulaExample: '函数示例',
        fieldUsed: '【{label}】在计算公式中被使用，请先修改对应公式',
        fieldExist: '【{label}】字段已存在',
        fieldEmpty: '字段名称不能为空',
        fieldChar: '字段名称必须以字母开头',
    },
    validate: {
        type: '字段类型',
        typePlaceholder: '请选择',
        trigger: '触发方式',
        mode: '验证方式',
        modes: {
            required: '必填',
            notRequired: '非必填',
            pattern: '正则表达式',
            validator: '自定义验证',
            min: '最小值',
            max: '最大值',
            len: '长度',
        },
        types: {
            string: '文本',
            boolean: '布尔',
            array: '多选',
            number: '数字',
            integer: '整数',
            float: '小数',
            object: '合集',
            date: '日期',
            url: 'URL链接',
            email: '邮箱地址',
        },
        message: '错误信息',
        auto: '自动获取',
        autoRequired: '请输入{title}',
        autoMode: '请输入正确的{title}',
        requiredPlaceholder: '请输入提示语',
        required: '是否必填',
        rule: '验证规则',
    },
    tableOptions: {
        handle: '操作',
        add: '添加',
        empty1: '点击右下角',
        empty2: '按钮添加一列',
        rmCol: '删除当前列',
        rmRow: '删除当前行',
        splitRow: '拆分成行',
        splitCol: '拆分成列',
        mergeBottom: '向下合并',
        mergeRight: '向右合并',
        addTop: '添加上列',
        addBottom: '添加下列',
        addLeft: '添加左列',
        addRight: '添加右列',
        keyValue: '键值对',
    },
    struct: {
        title: '编辑数据',
        only: '【{label}】只允许添加一个',
        errorMsg: '输入的内容语法错误',
        configured: '已配置',
        configuredData: '已配置 {num} 个数据源',
        configuredEvent: '已配置 {num} 个事件',
    },
    class: {
        title: '设置样式',
        create: '创建样式',
        placeholder: '请输入样式的描述信息',
        saveMsg: '请先保存当前正在编辑的样式',
        configured: '已配置 {num} 个样式',
    },
    event: {
        title: '设置事件',
        create: '创建事件',
        list: '事件列表',
        placeholder: '请输入事件的名称',
        saveMsg: '请先保存当前正在编辑的事件',
        type: '类型',
        info: '说明',
        action: '编辑行为',
        inject: {
            api: '当前表单的api',
            rule: '当前表单的生成规则',
            self: '组件的生成规则',
            option: '表单的配置',
            args: '事件的原始参数',
        }
    },
    eventInfo: {
        blur: '失去焦点时触发',
        focus: '获得焦点时触发',
        change: '当绑定值变化时触发',
        input: '在值改变时触发',
        clear: '在点击清空按钮时触发',
        close: '关闭组件时触发',
        click: '点击组件时触发',
        add: '增加时触发',
        delete: '删除时触发',
        remove: '删除时触发',
        visibleChange: '下拉框出现/隐藏时触发',
        calendarChange: '在日历所选日期更改时触发',
        panelChange: '当日期面板改变时触发',
        open: '打开的回调',
        opened: '打开动画结束时的回调',
        closed: '关闭动画结束时的回调',
        openAutoFocus: '输入焦点聚焦在内容时的回调',
        closeAutoFocus: '输入焦点从内容失焦时的回调',
        submit: '表单提交时触发',
        confirm: '点击确认按钮时触发',
        validateFail: '表单验证失败时触发',
        beforeLoad: '初始化之前触发',
        loaded: '初始化完成之后触发',
        hook_load: '组件规则加载后触发',
        hook_mounted: '组件挂载后触发',
        hook_deleted: '组件规则被移除后触发',
        hook_watch: '组件规则发生变化后触发',
        hook_value: '组件的值发生变化后触发',
        hook_hidden: '组件显示状态发生变化后触发',
    },
    fetch: {
        info: '定义请求时，支持通过双大括号语法（如 {{token}}）使用变量。在接口请求时会自动读取这些变量。如果变量的值是对象，可以通过 {{variableName.attributeName}} 访问对象的属性值。',
        title: '设置数据源',
        create: '创建数据源',
        config: '请求配置',
        action: '请求链接',
        actionRequired: '请输入正确的链接',
        placeholder: '请输入数据源的描述信息',
        method: '请求方式',
        data: '附带数据',
        dataType: '数据类型',
        headers: '请求头部',
        query: '请求参数',
        parse: '数据处理',
        response: '接口返回的数据',
        onError: '错误处理',
        beforeFetch: '前置处理',
        remote: '远程数据',
        static: '静态数据',
        optionsType: {
            fetch: '远程数据',
            global: '全局数据源',
            struct: '静态数据',
        }
    },
    style: {
        width: '宽度',
        height: '高度',
        minWidth: '最小宽',
        minHeight: '最小高',
        maxWidth: '最大宽',
        maxHeight: '最大高',
        color: '颜色',
        backgroundColor: '背景色',
        margin: '外边距',
        padding: '内边距',
        borderRadius: '圆角',
        border: '边框',
        solid: '实线',
        dashed: '虚线',
        dotted: '点状虚线',
        double: '双实线',
        opacity: '透明度',
        scale: '缩放',
        overflow: {
            name: '溢出',
            visible: '可见',
            hidden: '隐藏',
            scroll: '滚动',
            auto: '溢出后自动滚动',
        },
        shadow: {
            name: '阴影',
            x: 'x轴偏移量',
            y: 'y轴偏移量',
            vague: '模糊半径',
            extend: '扩散半径',
            inset: '向内',
            external: '向外',
            mode: '模式',
            classic: '经典',
            flat: '扁平',
            solid: '立体',
        },
        display: {
            name: '布局',
            block: '区块',
            'inline-block': '行内区块',
            inline: '行内文本',
            flex: '弹性盒子',
        },
        flexDirection: {
            name: '主轴的方向',
            row: '主轴为水平方向，起点在左端',
            'row-reverse': '主轴为水平方向，起点在右端',
            column: '主轴为垂直方向，起点在上沿',
            'column-reverse': '主轴为垂直方向，起点在下沿',
        },
        flexWrap: {
            name: '是否换行',
            nowrap: '不换行',
            wrap: '换行',
        },
        justifyContent: {
            name: '主轴上的对齐方式',
            'flex-start': '左对齐',
            'flex-end': '右对齐',
            center: '居中',
            'space-between': '两端对齐',
            'space-around': '子元素两侧的间隔相等',
            'space-evenly': '子元素平均分布在主轴上',
        },
        alignItems: {
            name: '子元素交叉轴上的对齐方式',
            'flex-start': '交叉轴的起点对齐',
            'flex-end': '交叉轴的终点对齐',
            center: '交叉轴的中点对齐',
            baseline: '沿第一行文字的基线对齐',
            stretch: '满整个容器的高度',
        },
        alignContent: {
            name: '多行子元素在交叉轴上的对齐方式',
            'flex-start': '与交叉轴的起点对齐',
            'flex-end': '与交叉轴的终点对齐',
            center: '与交叉轴的中点对齐',
            'space-between': '与交叉轴两端对齐',
            'space-around': '多行子元素平均分布在交叉轴',
            stretch: '轴线占满整个交叉轴',
        },
        font: {
            name: '字体',
            size: '大小',
            align: '对齐方式',
            height: '行高',
            spacing: '字间距',
            preview: '样式预览',
        },
        decoration: {
            name: '修饰',
            underline: '下划线',
            'line-through': '删除线',
            overline: '上划线',
        },
        weight: {
            name: '粗细',
            300: '细体',
            400: '常规体',
            500: '中黑体',
            700: '中粗体',
        }
    },
    designer: {
        component: '组件配置',
        id: '唯一值',
        name: '编号',
        type: '组件类型',
        form: '表单配置',
        json: '渲染规则',
        style: '样式配置',
        rule: '基础配置',
        advanced: '高级配置',
        props: '属性配置',
        slots: '插槽配置',
        customProps: '自定义属性配置',
        validate: '验证配置',
        event: '事件配置',
        clearWarn: '清空后将不能恢复，确定要清空吗？',
        childEmpty: '点击右下角 \\e789  按钮添加一列',
        dragEmpty: '拖拽左侧列表中的组件到此处',
        unload: '确定离开当前页面吗?',
        sublist: '子节点列表',
        formList: '表单列表',
        comList: '组件列表',
        addPage: '添加模块',
        pageManage: '模块管理',
        gridLine: '辅助线',
        main: '主体',
        layout: '快速布局',
        col1: '一列',
        col2: '两列',
        col3: '三列',
        col4: '四列',
        print: {
            title: '打印表单',
            config: '设置打印',
            left: '左边距',
            right: '右边距',
            top: '上边距',
            bottom: '下边距',
            defaultStyle: '默认样式',
            wordStyle: '文档样式',
            export: '导出 PDF',
        }
    },
    menu: {
        template: '模板',
        main: '基础组件',
        aide: '辅助组件',
        layout: '布局组件',
        component: '组件',
        subform: '子表单组件',
        container: '容器组件',
        chart: '图表组件',
        tree: '大纲'
    },
    formula: {
        math: '数字处理',
        string: '文本处理',
        date: '时间处理',
        collection: '合集处理',
        condition: '逻辑处理',
        ADD: '获取两个数字相加的值',
        SUB: '获取两个数字相减的值',
        MUL: '获取两个数字相乘的值',
        DIV: '获取两个数字相除的值',
        SUM: '获取合集中数值的总和',
        MAX: '获取参数列表中的最大值',
        MIN: '获取参数列表中的最小值',
        ABS: '获取数字的绝对值',
        AVG: '获取参数列表的平均值',
        POWER: '获取指定数字的乘幂',
        RAND: '获取一个大于等于0且小于1的随机数',
        PI: '获取圆周率',
        ROUND: '将一个小数四舍五入到指定的位数',
        SQRT: '获取一个数字的正平方根',
        NOW: '获取当前的时间',
        TODAY: '获取今天的日期',
        YEAR: '获取指定日期的年份',
        MONTH: '获取指定日期的月份',
        DAY: '获取指定日期的天数',
        HOUR: '获取指定日期的小时数',
        MINUTE: '获取指定日期的分钟数',
        SECOND: '获取指定日期的秒数',
        DIFFDAYS: '获取两个日期之间的天数',
        DIFFHOURS: '获取两个时间之间的小时数,保留两位小数',
        DIFFMINUTES: '获取两个时间之间的分钟数',
        ADDYEAR: '增加指定日期的年份',
        ADDMONTH: '增加指定日期的月份',
        ADDDAY: '增加指定日期的天数',
        ADDWEEK: '增加指定日期的周数',
        ADDHOUR: '增加指定时间的小时数',
        ADDMINUTE: '增加指定时间的分钟数',
        ADDSECOND: '增加指定时间的秒数',
        SUBYEAR: '减少指定日期的年份',
        SUBMONTH: '减少指定日期的月份',
        SUBDAY: '减少指定日期的天数',
        SUBWEEK: '减少指定日期的周数',
        SUBHOUR: '减少指定时间的小时数',
        SUBMINUTE: '减少指定时间的分钟数',
        SUBSECOND: '减少指定时间的秒数',
        TIMESTAMP: '获取指定日期的时间戳',
        STARTSWITH: '检查字符串是否以指定字符串开头',
        EMPTY: '检查参数是否为空',
        NOTEMPTY: '检查参数是否不为空',
        LEN: '获取指定合集的长度',
        MOD: '获取两个数字的余数',
        FLOOR: '获取指定数字向下取整的值',
        CEIL: '获取指定数字向上取整的值',
        FIXED: '将一个小数保留指定位数的小数',
        ISNUMBER: '检查参数是否为数字',
        TONUMBER: '将参数转换为数字',
        SLICELEFT: '获取一个字符串从开头开始指定长度的字符串',
        SLICERIGHT: '获取一个字符串从结尾开始指定长度的字符串',
        TOLOWER: '将字符串中所有大写字母转换为小写字母',
        TOUPPER: '将字符串中所有小写字母转换为大写字母',
        INCLUDES: '检查字符串中是否包含指定字符串',
        REPLACE: '将字符串中的部分文本替换为不同的文本,只替换匹配到的第一个',
        REPLACEALL: '将字符串中的部分文本替换为不同的文本,替换所有匹配到的',
        TRIM: '将字符串前后的空格删除',
        TOCHINSESAMOUNT: '获取指定数字的中文大写金额',
        UNION: '将合集/参数中的值去重,返回去重后的合集',
        INTERSECTIONSET: '获取两个集合的交集',
        LIST: '获取所有参数组成的集合',
        AND: '将表达式用"并且"链接,当所有表达式均为true时返回true，否则返回false',
        OR: '将表达式用"或"链接,当有一个表达式为true时返回true，否则返回false',
        IF: '检查一个条件能否满足,如果满足返回第二个参数，否则返回第三个参数',
        IN: '检查第二个参数是否在合集中',
        DEFAULT: '检查第一个参数,如果为空返回第二个参数,否则返回第一个参数',
        CASE: '检查是否满足一个或多个条件，返回第一个满足条件的值',
        COLUMN: '获取子表单中指定字段并返回合集',
        VALUE: '获取分组表单中指定字段',
        CONCAT: '将所有参数拼接,返回拼接后的字符串',
        FALSE: '返回逻辑值 false',
        TRUE: '返回逻辑值 true',
        NOT: '获取某个逻辑值的相反值',
        EQ: '检查两个值是否相等',
        NE: '检查两个值是否不相等',
        GE: '检查第一个值是否大于等于另一个值',
        GT: '检查第一个值是否大于另一个值',
        LE: '检查第一个值是否小于等于另一个值',
        LT: '检查第一个值是否小于另一个值',
    },
    language: {
        name: '国际化配置',
        add: '新增词条',
        batchRemove: '批量删除',
        select: '选择多语言',
    },
    props: {
        circle: '圆形',
        square: '正方形',
        image: '图片',
        video: '视频',
        audio: '音频',
        document: '文档',
        size: '尺寸',
        info: '提示',
        success: '成功',
        error: '失败',
        warning: '警告',
        primary: '重要',
        danger: '危险',
        form: '表单',
        subform: '子表单',
        other: '其他',
        model: '弹窗',
        field: '字段',
        variable: '变量',
        disabled: '禁用',
        enable: '启用',
        time: '时间',
        email: '邮箱',
        number: '数字',
        globalData: '全局数据',
        mobile: '移动端',
        reactive: '响应式',
        pc: '电脑端',
        title: '标题',
        content: '内容',
        collection: '合集',
        group: '分组',
        custom: '自定义',
        change: '改变',
        blur: '失去焦点',
        preview: '预览',
        clear: '清空',
        cancel: '取消',
        close: '关闭',
        ok: '确定',
        save: '保存',
        refresh: '刷新',
        submit: '提交',
        reset: '重置',
        copy: '复制',
        delete: '删除',
        hide: '隐藏',
        show: '显示',
        position: '位置',
        render: '渲染',
        large: '大',
        default: '默认',
        small: '小',
        always: '常显',
        never: '不显示',
        hover: '悬浮',
        click: '点击',
        button: '按钮',
        year: '年份',
        month: '月份',
        date: '日期',
        dates: '日期多选',
        week: '一周',
        datetime: '日期时间',
        'datetime-local': '日期时间',
        datetimerange: '日期时间区间',
        daterange: '日期区间',
        monthrange: '月份区间',
        left: '左对齐',
        right: '右对齐',
        top: '顶部',
        bottom: '底部',
        text: '文字',
        icon: '图标',
        picture: '图片',
        'picture-card': '卡片',
        center: '居中',
        vertical: '竖向',
        horizontal: '横向',
        manage: '管理',
        key: '键名',
        name: '名称',
        value: '值',
        inputData: '默认值',
        append: '插入',
        options: '选项数据',
        option: '选项',
        callback: '回调',
        mode: '模式',
        style: '样式',
        print: '打印',
        _self: '当前窗口',
        _blank: '新的窗口',
        _parent: '父级窗口',
        _top: '顶级窗口',
    },
    slots: {
        prefix: '头部内容',
        suffix: '尾部内容',
        prepend: '前置内容',
        append: '后置内容',
    },
    behavior: {
        add: '添加动作',
        props: {
            id: '选择组件',
            status: '状态',
            compute: '条件',
            static: '静态',
            formula: '表达式',
            setFormula: '配置表达式',
            continue: '继续执行动作',
            stop: '中断执行动作',
            break: '跳过当前动作',
            model: '选择弹窗',
            fetch: '配置请求',
            response: '请求结果',
            callback: '自定义JS',
            ignoreError: '执行异常',
            expression: '执行条件',
            stopPropagation: '阻断条件',
            execute: '执行动作',
            info: '动作说明',
        },
        openModel: {
            name: '打开弹窗',
            info: '打开所选的弹窗',
        },
        closeModel: {
            name: '关闭弹窗',
            info: '关闭当前弹窗',
        },
        hidden: {
            name: '组件可见性',
            info: '控制所选的组件的显示/隐藏',
        },
        disabled: {
            name: '组件可用性',
            info: '控制所选的组件的启用/禁用',
        },
        resetFields: {
            name: '重置表单',
            info: '重置表单数据',
        },
        clearFields: {
            name: '清空表单',
            info: '清空表单数据',
        },
        validate: {
            name: '校验表单',
            info: '对整个表单的内容进行校验'
        },
        validateFields: {
            name: '校验表单项',
            info: '校验所选的的表单项'
        },
        setValue: {
            name: '表单赋值',
            info: '修改表单的数据'
        },
        fetch: {
            name: '发送请求',
            info: '配置并发送API请求',
            props: {
                append: '追加表单数据',
            },
            warning: {
                append: '开启后，远程请求返回的数据将自动追加到表单的数据中。',
                response: '远程请求返回的数据将暂存到指定的变量中。',
            }
        },
        copy: {
            name: '复制内容',
            info: '复制文本内容至粘贴板',
        },
        callback: {
            name: '自定义操作',
            info: '通过JavaScript自定义动作逻辑',
        },
        message: {
            name: '消息提醒',
            info: '弹出消息提醒',
            props: {
                type: '类型',
                message: '提示信息',
                duration: '持续时间(ms)',
                showClose: '显示关闭按钮',
            }
        },
        submit: {
            name: '提交表单',
            info: '手动提交表单并触发表单提交事件',
        },
    },
    com: {
        cascader: {
            name: '级联选择器',
            event: {
                expandChange: '当展开节点发生变化时触发',
                removeTag: '在多选模式下，移除Tag时触发'
            },
            props: {
                props: '配置选项',
                placeholder: '输入框占位文本',
                disabled: '是否禁用',
                clearable: '是否支持清空选项',
                showAllLevels: '输入框中是否显示选中值的完整路径',
                collapseTags: '多选模式下是否折叠Tag',
                collapseTagsTooltip: '当鼠标悬停于折叠标签的文本时，是否显示所有选中的标签',
                separator: '选项分隔符',
                filterable: '该选项是否可以被搜索',
                tagType: '标签类型',
            },
            propsOpt: {
                multiple: '是否多选',
                expandTrigger: '次级菜单的展开方式',
                checkStrictly: '是否严格的遵守父子节点不互相关联',
                emitPath: '在选中节点改变时，是否返回由该节点所在的各级菜单的值所组成的数组',
                value: '指定选项的值为选项对象的某个属性值',
                label: '指定选项标签为选项对象的某个属性值',
                children: '指定选项的子选项为选项对象的某个属性值',
                disabled: '指定选项的禁用为选项对象的某个属性值',
                leaf: '指定选项的叶子节点的标志位为选项对象的某个属性值',
            }
        },
        checkbox: {
            name: '多选框',
            props: {
                input: '是否可以填写',
                type: '按钮类型',
                disabled: '是否禁用',
                min: '可被勾选的最小数量',
                max: '可被勾选的最大数量',
                textColor: '当按钮为活跃状态时的字体颜色',
                fill: '当按钮为活跃状态时的边框和背景颜色'
            }
        },
        col: {
            name: '布局格子',
            info: '通过响应式配置多端布局，移动端会自动应用第一个',
            props: {
                span: '栅格占据的列数',
                offset: '栅格左侧的间隔格数',
                push: '栅格向右移动格数',
                pull: '栅格向左移动格数'
            }
        },
        colorPicker: {
            name: '颜色选择器',
            event: {
                activeChange: '面板中当前显示的颜色发生改变时触发'
            },
            props: {
                disabled: '是否禁用',
                showAlpha: '是否支持透明度选择',
                colorFormat: '颜色的格式',
                predefine: '预定义颜色',
            }
        },
        datePicker: {
            name: '日期',
            props: {
                pickerOptions: '当前时间日期选择器特有的选项',
                readonly: '完全只读',
                disabled: '禁用',
                type: '显示类型',
                editable: '文本框可输入',
                clearable: '是否显示清除按钮',
                placeholder: '非范围选择时的占位内容',
                startPlaceholder: '范围选择时开始日期的占位内容',
                endPlaceholder: '范围选择时结束日期的占位内容',
                format: '显示在输入框中的格式',
                align: '对齐方式',
                rangeSeparator: '选择范围时的分隔符',
                unlinkPanels: '在范围选择器里取消两个日期面板之间的联动',
            }
        },
        dateRange: {
            name: '日期区间',
        },
        timeRange: {
            name: '时间区间',
        },
        elAlert: {
            name: '提示',
            description: '说明文字',
            props: {
                title: '标题',
                type: '主题',
                description: '辅助性文字',
                closable: '是否可关闭',
                center: '文字是否居中',
                closeText: '关闭按钮自定义文本',
                showIcon: '是否显示图标',
                effect: '选择提供的主题'
            }
        },
        elButton: {
            name: '按钮',
            props: {
                formCreateChild: '内容',
                size: '尺寸',
                type: '类型',
                plain: '是否朴素按钮',
                round: '是否圆角按钮',
                circle: '是否圆形按钮',
                loading: '是否加载中状态',
                disabled: '是否禁用状态',
            }
        },
        elCard: {
            name: '卡片',
            props: {
                header: '标题',
                shadow: '阴影显示时机',
            }
        },
        elCollapse: {
            name: '折叠面板',
            event: {
                change: '切换当前活动面板，在手风琴模式下其类型是string，在其他模式下是array',
            },
            props: {
                accordion: '是否手风琴模式'
            }
        },
        elCollapseItem: {
            name: '面板',
            props: {
                title: '面板标题',
                name: '唯一标志符',
                disabled: '是否禁用',
            }
        },
        elDescriptions: {
            name: '描述列表',
            props: {
                title: '标题文本，显示在左上方',
                extra: '操作区文本，显示在右上方',
                column: '一行中表格的数量',
                border: '是否带有边框',
                direction: '排列的方向',
                size: '列表的尺寸',
            }
        },
        elDescriptionsItem: {
            name: '描述格子',
            props: {
                label: '标签文本',
                __child: '内容',
                span: '列的数量',
                width: '列的宽度，不同行相同列的宽度按最大值设定（如无 border ，宽度包含标签与内容',
                minWidth: '列的最小宽度',
                align: '列的内容对齐方式（如无 border，对标签和内容均生效）',
                labelAlign: '列的标签对齐方式，若不设置该项，则使用内容的对齐方式（如无 border，请使用 align 参数）',
                className: '列的内容自定义类名',
            }
        },
        elDivider: {
            name: '分割线',
            props: {
                direction: '设置分割线方向',
                formCreateChild: '设置分割线文案',
                contentPosition: '设置分割线文案的位置'
            }
        },
        elTabPane: {
            name: '选项卡',
            props: {
                label: '选项卡标题',
                disabled: '是否禁用',
                name: '选项卡的标识符',
                lazy: '标签是否延迟渲染'
            }
        },
        elTabs: {
            name: '标签页',
            event: {
                tabClick: 'tab 被选中时触发',
                tabChange: 'activeName 改变时触发',
                tabRemove: '点击 tab 移除按钮时触发',
                tabAdd: '点击 tab 新增按钮时触发',
                edit: '点击 tab 的新增或移除按钮后触发',
            },
            props: {
                type: '风格类型',
                closable: '标签是否可关闭',
                tabPosition: '选项卡所在位置',
                stretch: '标签的宽度是否自撑开'
            }
        },
        elTag: {
            name: '标签',
            props: {
                formCreateChild: '标签内容',
                type: '标签的类型',
                size: '标签的尺寸',
                effect: '标签的主题',
                closable: '是否可关闭',
                disableTransitions: '是否禁用渐变动画',
                hit: '是否有边框描边',
                round: '是否为圆形',
                color: '背景色'
            }
        },
        elTransfer: {
            name: '穿梭框',
            event: {
                leftCheckChange: '左侧列表元素被用户选中 / 取消选中时触发',
                rightCheckChange: '右侧列表元素被用户选中 / 取消选中时触发'
            },
            props: {
                filterable: '是否可搜索',
                filterPlaceholder: '搜索框占位符',
                targetOrder: '右侧列表元素的排序策略',
                targetOrderInfo: '若为 original，则保持与数据相同的顺序；若为 push，则新加入的元素排在最后；若为 unshift，则新加入的元素排在最前',
                titles: '自定义列表标题',
                buttonTexts: '自定义按钮文案',
                props: '数据源的字段别名'
            }
        },
        elTreeSelect: {
            name: '树形选择',
            event: {
                removeTag: '多选模式下移除tag时触发'
            },
            props: {
                multiple: '是否多选',
                disabled: '是否禁用',
                clearable: '是否可以清空选项',
                collapseTags: '多选时是否将选中值按文字的形式展示',
                multipleLimit: '多选时用户最多可以选择的项目数，为 0 则不限制',
                placeholder: '占位符',
                props: '配置选项',
                checkStrictly: '在显示复选框的情况下，是否严格的遵循父子不互相关联的做法',
                renderAfterExpand: '是否在第一次展开某个树节点后才渲染其子节点',
                defaultExpandAll: '是否默认展开所有节点',
                expandOnClickNode: '是否在点击节点的时候展开或者收缩节点',
                checkOnClickNode: '是否在点击节点的时候选中节点',
                nodeKey: '每个树节点用来作为唯一标识的属性，整棵树应该是唯一的'
            }
        },
        elLink: {
            name: '链接',
            props: {
                formCreateChild: '内容',
                href: '跳转链接',
                type: '类型',
                underline: '是否显示下划线',
                disabled: '是否禁用',
                target: '打开方式',
            }
        },
        elWatermark: {
            name: '水印',
            props: {
                content: '水印文本内容',
                image: '水印图片，建议使用 2x 或 3x 图像',
                width: '水印的宽度， content 的默认值是它自己的宽度',
                height: '水印的高度， content 的默认值是它自己的高度',
                rotate: '水印的旋转角度, 单位 °',
                zIndex: '水印元素的z-index值',
                gap: '水印之间的间距',
            }
        },
        elTooltip: {
            name: '文字提示',
            props: {
                content: '显示的内容',
                disabled: '是否禁用',
                rawContent: '内容是否作为 HTML 字符串处理',
                enterable: '鼠标是否可进入到 Tooltip 中',
                effect: '主题',
                placement: 'Tooltip 组件出现的位置',
                trigger: '如何触发 Tooltip',
                offset: '出现位置的偏移量',
                showAfter: '在触发后多久显示内容，单位毫秒',
                hideAfter: '延迟关闭，单位毫秒',
                autoClose: '出现后自动隐藏延时，单位毫秒'
            }
        },
        elImage: {
            name: '图片',
            props: {
                src: '图片链接',
                previewSrcList: '预览图片列表'
            }
        },
        elAvatar: {
            name: '头像框',
            props: {
                src: '图片链接',
                shape: '形状',
                size: '尺寸',
            },
        },
        elMention: {
            name: '提及',
            event: {
                search: '按下触发字段时触发',
                select: '当用户选择选项时触发',
            },
            props: {
                type: '类型',
                placeholder: '输入框占位文本',
                clearable: '是否显示清除按钮',
                disabled: '是否禁用',
                whole: '当退格键被按下做删除操作时，是否将提及部分作为整体删除',
                checkIsWhole: '当退格键被按下做删除操作时，检查是否将提及部分作为整体删除',
                filterOption: '筛选器选项逻辑'
            }
        },
        elSegmented: {
            name: '分段控制器',
            props: {
                size: '尺寸',
                block: '撑满父元素宽度',
                disabled: '是否禁用',
            }
        },
        elFormItem: {
            name: '表单项',
            props: {
                label: '标签文本',
                labelWidth: '标签宽度',
                size: '尺寸',
            }
        },
        elStatistic: {
            name: '统计栏',
            props: {
                value: '数值',
                title: '标题',
                prefix: '数值的前缀',
                suffix: '数值的后缀',
            }
        },
        fcTitle: {
            name: '标题',
            props: {
                title: '标题',
                size: '尺寸',
                align: '对齐方式'
            }
        },
        fcId: {
            name: '唯一值',
            props: {
                prefix: '前缀',
            }
        },
        fcCity: {
            name: '省市区选择器',
            props: {
                api: '数据链接 URI',
                level: '类型',
                clearable: '是否显示清除按钮',
                disabled: '是否禁用',
                filter: '数据过滤,返回可选择数据',
            }
        },
        fcCell: {
            name: '格子'
        },
        fcEditor: {
            name: '富文本框',
            props: {
                disabled: '是否禁用'
            }
        },
        fcFlex: {
            name: '盒子布局',
        },
        fcFlex2: {
            name: '盒子布局',
            horizontal: '水平居中',
            vertical: '垂直居中',
            left: '左对齐',
            right: '右对齐',
            reset: '重置布局',
        },
        fcRow: {
            name: '栅格布局',
            props: {
                gutter: '栅格间隔',
                type: 'flex布局模式',
                justify: 'flex布局下的水平排列方式',
                align: 'flex布局下的垂直排列方式'
            }
        },
        fcDialog: {
            name: '弹出框',
            props: {
                title: '标题',
                width: '对话框的宽度',
                fullscreen: '是否为全屏',
                modal: '是否需要遮罩层',
                autoClose: '提交表单后自动关闭弹出框',
                footer: '是否显示操作按钮',
                beforeClose: '关闭前的回调'
            }
        },
        fcDrawer: {
            name: '抽屉',
            props: {
                title: '标题',
                size: '对话框的宽度',
                direction: '打开的方向',
                modal: '是否需要遮罩层',
                autoClose: '提交表单后自动关闭弹出框',
                footer: '是否显示操作按钮',
                beforeClose: '关闭前的回调'
            },
            directionType: {
                ltr: '左侧',
                rtl: '右侧',
            }
        },
        fcTable: {
            name: '表格布局',
            props: {
                mini: '紧凑模式',
                border: '是否显示边框',
                borderColor: '边框颜色',
                borderWidth: '边框宽度'
            }
        },
        fcTableGrid: {
            name: '格子',
        },
        fcValue: {
            name: '计算公式',
            empty: '在右侧配置中设置计算公式',
        },
        fcSlot: {
            name: '插槽区域',
            empty: '通过定义插槽&nbsp;{tag}&nbsp;填充区域',
            props: {
                name: '插槽名称'
            }
        },
        fcJson: {
            name: '动态区域',
            empty: '通过加载&nbsp;{tag}&nbsp;规则填充区域',
            props: {
                _loadType: 'JSON 规则',
                type: '类型',
            }
        },
        lineChart: {
            name: '折线图',
            data: '图表数据',
            pieTypeOpt: {
                pie: '圆形',
                doughnut: '环形',
                'half-doughnut': '半环形',
            },
            funnelSortOpt: {
                descending: '倒序',
                ascending: '正序',
            },
            props: {
                title: '图表的名称',
                subtitle: '图表的简介',
                valueFormat: '格式化数值显示',
                stack: '多列数据时是否堆叠',
                smooth: '线条是否平滑过渡',
                showLegend: '是否显示标记',
                showSeriesLabel: '是否显示数值',
                barBackgroundColor: '柱状的背景色',
                funnelSort: '排序方式',
                pieType: '形状',
                min: '最小值',
                max: '最大值',
                value: '数值',
                indicator: '指示器',
                loadOptions: '初始化',
            }
        },
        areaChart: {
            name: '体积图'
        },
        barChart: {
            name: '柱状图'
        },
        customChart: {
            name: '自定义图表'
        },
        funnelChart: {
            name: '漏斗图'
        },
        gaugeChart: {
            name: '仪表盘'
        },
        pieChart: {
            name: '饼图'
        },
        radarChart: {
            name: '雷达图'
        },
        scatterChart: {
            name: '散点图'
        },
        stripeChart: {
            name: '条形图'
        },
        fcInlineForm: {
            name: '行内布局',
        },
        group: {
            name: '子表单',
            props: {
                disabled: '是否禁用',
                syncDisabled: '是否与子表单强制同步禁用状态',
                expand: '设置默认展开几项',
                button: '是否显示操作按钮',
                sortBtn: '是否显示排序按钮',
                min: '设置最小添加几项',
                max: '设置最多添加几项',
            }
        },
        html: {
            name: 'HTML',
            props: {
                formCreateChild: '内容',
            }
        },
        input: {
            name: '输入框',
            event: {
                change: '当值改变时，当组件失去焦点或用户按Enter时触发',
            },
            props: {
                type: '类型',
                maxlength: '最大输入长度',
                minlength: '最小输入长度',
                placeholder: '输入框占位文本',
                clearable: '是否显示清除按钮',
                disabled: '是否禁用',
                readonly: '是否只读',
            }
        },
        inputNumber: {
            name: '数字输入框',
            props: {
                precision: '数值精度',
                min: '设置计数器允许的最小值',
                max: '设置计数器允许的最大值',
                step: '计数器步长',
                stepStrictly: '是否只能输入 step 的倍数',
                disabled: '是否禁用计数器',
                controls: '是否使用控制按钮',
                controlsPosition: '控制按钮位置',
                placeholder: '输入框占位文本'
            }
        },
        password: {
            name: '密码输入框',
            event: {
                change: '当值改变时，当组件失去焦点或用户按Enter时触发',
            },
            props: {
                disabled: '是否禁用',
                readonly: '是否只读',
                maxlength: '最大输入长度',
                minlength: '最小输入长度',
                placeholder: '输入框占位文本',
                clearable: '是否显示清除按钮'
            }
        },
        radio: {
            name: '单选框',
            props: {
                input: '是否可以填写',
                disabled: '是否禁用',
                type: '按钮形式',
                textColor: '按钮形式激活时的文本颜色',
                fill: '按钮形式激活时的填充色和边框色'
            }
        },
        rate: {
            name: '评分',
            props: {
                max: '最大分值',
                disabled: '是否禁用',
                allowHalf: '是否允许半选',
                voidColor: '未选中时图标的颜色',
                disabledVoidColor: '只读时未选中时图标的颜色',
                voidIconClass: '未选中时图标的类名',
                disabledVoidIconClass: '只读时未选中时图标的类名',
                showScore: '是否显示当前分数',
                textColor: '辅助文字的颜色',
                scoreTemplate: '分数显示模板'
            }
        },
        fcDataSelect: {
            name: '子表单选择器'
        },
        select: {
            name: '选择器',
            title: '请选择',
            emptyText: '拖拽组件配置搜索条件',
            event: {
                removeTag: '多选模式下移除tag时触发'
            },
            props: {
                title: '标题',
                valueKey: '指定选项的值为选项对象的某个属性值',
                labelKey: '指定选项标签为选项对象的某个属性值',
                autoLoad: '自动触发搜索',
                multiple: '是否多选',
                disabled: '是否禁用',
                clearable: '是否可以清空选项',
                collapseTags: '多选时是否将选中值按文字的形式展示',
                multipleLimit: '多选时用户最多可以选择的项目数，为 0 则不限制',
                placeholder: '占位符',
                filterable: '是否可搜索',
                allowCreate: '是否允许用户创建新条目',
                noMatchText: '搜索条件无匹配时显示的文字',
                noDataText: '选项为空时显示的文字',
                reserveKeyword: '多选且可搜索时，是否在选中一个选项后保留当前的搜索关键词',
                defaultFirstOption: '在输入框按下回车，选择第一个匹配项',
                remote: '其中的选项是否从服务器远程加载',
                remoteMethod: '自定义远程搜索方法',
            }
        },
        slider: {
            name: '滑块',
            props: {
                min: '最小值',
                max: '最大值',
                disabled: '是否禁用',
                step: '步长',
                showInput: '是否显示输入框，仅在非范围选择时有效',
                showInputControls: '在显示输入框的情况下，是否显示输入框的控制按钮',
                showStops: '是否显示间断点',
                range: '是否为范围选择',
                vertical: '是否竖向模式',
                height: 'Slider 高度，竖向模式时必填'
            }
        },
        space: {
            name: '间距'
        },
        stepForm: {
            name: '分步表单',
            event: {
                next: '点击下一步按钮时触发',
            },
            props: {
                submitBtn: '显示提交按钮',
                autoValidate: '进入下一步前自动验证表单',
                'stepsProps>alignCenter': '进行居中对齐',
                'stepsProps>simple': '是否应用简洁风格'
            }
        },
        stepFormItem: {
            name: '步骤条',
            props: {
                title: '标题',
                description: '描述文案'
            }
        },
        subForm: {
            name: '分组',
            props: {
                disabled: '是否禁用',
                syncDisabled: '是否与子表单强制同步禁用状态'
            }
        },
        switch: {
            name: '开关',
            slots: {
                'active-action': '打开时的内容',
                'inactive-action': '关闭时的内容',
            },
            props: {
                disabled: '是否禁用',
                width: '宽度（px）',
                activeText: '打开时的文字描述',
                inactiveText: '关闭时的文字描述',
                activeValue: '打开时的值',
                inactiveValue: '关闭时的值',
                activeColor: '打开时的背景色',
                inactiveColor: '关闭时的背景色'
            }
        },
        tableForm: {
            name: '表格表单',
            props: {
                disabled: '是否禁用',
                filterEmptyColumn: '是否过滤空行的数据',
                max: '最多添加几行，为 0 则不限制',
                min: '最少添加几行',
                size: '尺寸',
                emptyText: '空数据时显示的文本内容',
                height: '高度',
                showIndex: '显示行号',
                stripe: '显示斑马纹',
                border: '边框',
                button: '操作按钮',
                page: '分页',
                addable: '允许新增',
                deletable: '允许删除',
                newColumn: '默认显示新行',
                'button>column': '按钮管理',
                'button>label': '操作',
                'button>fixed': '位置',
                'button>width': '列的宽度',
                'page>props>pageSize': '每页显示条目个数',
                'page>props>small': '使用小型分页样式',
                'page>props>background': '为分页按钮添加背景色',
            }
        },
        tableFormPro: {
            name: '表格表单Pro',
            event: {
                handleClick: '点击操作按钮时会触发该事件',
            }
        },
        nestedTableForm: {
            name: '嵌套表单',
            props: {
                disabled: '是否禁用',
                max: '最多添加几行，为 0 则不限制',
                nestedMax: '子表单最多添加几行，为 0 则不限制',
            }
        },
        infiniteTableForm: {
            name: '无限级表单',
            props: {
                disabled: '是否禁用',
                childrenField: '设置子级的字段名',
                max: '最多添加几行，为 0 则不限制',
                layerMax: '最多添加几层，为 0 则不限制',
            }
        },
        nestedSubTableForm: {
            name: '子表格表单',
        },
        tableFormColumn: {
            name: '表格格子',
            label: '自定义名称',
            props: {
                label: '标题',
                header: '表头',
                fixed: '位置',
                width: '宽度',
                color: '颜色',
                hidden: '是否隐藏',
                required: '是否显示必填星号',
            }
        },
        tableFormColumn2: {
            name: '表格格子',
            header: '配置当前列的表头名称，重复的表头将自动合并。'
        },
        dataTable: {
            name: '数据表格',
            handle: '禁用逻辑',
            click: '点击事件',
            filter: '筛选',
            header: '表头',
            event: {
                cellMouseEnter: '当单元格 hover 进入时会触发该事件',
                cellMouseLeave: '当单元格 hover 退出时会触发该事件',
                handleClick: '点击操作按钮时会触发该事件',
                rowClick: '当某一行被点击时会触发该事件',
                rowDblclick: '当某一行被双击时会触发该事件',
                headerClick: '当某一列的表头被点击时会触发该事件',
                filterChange: '筛选条件变化时会触发该事件',
                expandChange: '当用户对某一行展开或者关闭的时候会触发该事件',
                sortChange: '当表格的排序条件发生变化的时候会触发该事件',
                selectionChange: '当选择项发生变化时触发',
            },
            button: {
                title: '操作按钮',
                btn: '配置操作按钮',
                link: '文字',
                round: '圆角',
                plain: '朴素',
                disabled: '禁用',
            },
            column: {
                title: '列表管理',
                btn: '配置表格列表',
                prop: '字段名称',
                sort: '排序',
            },
            format: {
                default: '常规',
                tag: '标签',
                image: '图片',
                custom: '自定义',
            },
            fixed: {
                default: '常规',
                left: '左悬浮',
                right: '右悬浮',
            },
            sortable: {
                disabled: '不排序',
                default: '常规排序',
                custom: '接口排序',
            },
            props: {
                _optionType: '表格数据',
                'page>totalField': '接口响应数据中总条目数的字段名称',
                'page>dataField': '接口响应数据中列表数据的字段名称',
                'page>orderField': '请求接口时排序的参数名称',
                'page>orderByField': '请求接口时排序方式的参数名称',
                'page>pageField': '请求接口时页码的参数名称(分页)',
                'page>pageSizeField': '请求接口时条目数的参数名称(分页)',
                column: '表格管理',
                showSummary: '是否在表尾显示合计行',
                selection: '是否显示多选框',
                size: '尺寸',
                rowKey: '行数据的Key',
                emptyText: '空数据时显示的文本内容',
                height: '高度',
                index: '显示行号',
                stripe: '显示斑马纹',
                border: '边框',
                defaultExpandAll: '默认展开所有行',
                button: '操作按钮',
                page: '分页',
                'button>column': '按钮管理',
                'button>label': '操作',
                'button>fixed': '位置',
                'button>width': '列的宽度',
                'page>position': '位置',
                'page>props>pageSize': '每页显示条目个数',
                'page>props>small': '使用小型分页样式',
                'page>props>background': '为分页按钮添加背景色',
            },
            requiredName: '请输入按钮名称',
            requiredKey: '请输入按钮标识',
            requiredLabel: '请输入标题',
            requiredRender: '请输入渲染函数',
        },
        text: {
            name: '文字',
            props: {
                formCreateChild: '内容'
            }
        },
        textarea: {
            name: '多行输入框',
            event: {
                change: '当值改变时，当组件失去焦点或用户按Enter时触发',
            },
            props: {
                disabled: '是否禁用',
                readonly: '是否只读',
                maxlength: '最大输入长度',
                minlength: '最小输入长度',
                showWordLimit: '是否显示统计字数',
                placeholder: '输入框占位文本',
                rows: '输入框行数',
                autosize: '高度是否自适应'
            }
        },
        timePicker: {
            name: '时间',
            'HH:mm:ss': '时:分:秒',
            'HH:mm': '时:分',
            props: {
                __format: '输入框中的格式',
                pickerOptions: '当前时间日期选择器特有的选项',
                readonly: '完全只读',
                disabled: '禁用',
                editable: '文本框可输入',
                clearable: '是否显示清除按钮',
                placeholder: '非范围选择时的占位内容',
                startPlaceholder: '范围选择时开始日期的占位内容',
                endPlaceholder: '范围选择时结束日期的占位内容',
                isRange: '是否为时间范围选择',
                arrowControl: '是否使用箭头进行时间选择',
                align: '对齐方式'
            }
        },
        tree: {
            name: '树形控件',
            event: {
                nodeClick: '当节点被点击的时候触发',
                nodeContextmenu: '当某一节点被鼠标右键点击时会触发该事件',
                checkChange: '当复选框被点击的时候触发',
                check: '点击节点复选框之后触发',
                currentChange: '当前选中节点变化时触发的事件',
                nodeExpand: '节点被展开时触发的事件',
                nodeCollapse: '节点被关闭时触发的事件',
                nodeDragStart: '节点开始拖拽时触发的事件',
                nodeDragEnter: '拖拽进入其他节点时触发的事件',
                nodeDragLeave: '拖拽离开某个节点时触发的事件',
                nodeDragOver: '在拖拽节点时触发的事件（类似浏览器的 mouseover 事件）',
                nodeDragEnd: '拖拽结束时（可能未成功）触发的事件',
                nodeDrop: '拖拽成功完成时触发的事件'
            },
            props: {
                emptyText: '内容为空的时候展示的文本',
                props: '配置选项',
                renderAfterExpand: '是否在第一次展开某个树节点后才渲染其子节点',
                defaultExpandAll: '是否默认展开所有节点',
                expandOnClickNode: '是否在点击节点的时候展开或者收缩节点，如果为 false，则只有点箭头图标的时候才会展开或者收缩节点。',
                checkOnClickNode: '是否在点击节点的时候选中节点',
                autoExpandParent: '展开子节点的时候是否自动展开父节点',
                checkStrictly: '在显示复选框的情况下，是否严格的遵循父子不互相关联的做法',
                accordion: '是否每次只打开一个同级树节点展开',
                indent: '相邻级节点间的水平缩进(px)',
                nodeKey: '每个树节点用来作为唯一标识的属性，整棵树应该是唯一的'
            }
        },
        upload: {
            name: '上传',
            info: '上传成功后，将接口返回的 URL 赋值给 file.url，或将返回结果赋值给 file.value，以便在后续的表单提交时获取这些数据。',
            event: {
                remove: '文件列表移除文件时触发',
                preview: '点击文件列表中已上传的文件时触发',
                error: '文件上传失败时触发',
                progress: '文件上传时触发',
                exceed:'当超出限制时触发'
            },
            slots: {
                tip: '说明'
            },
            props: {
                listType: '上传类型',
                multiple: '是否支持多选文件',
                action: '上传的地址(必填)',
                beforeUpload: '上传文件之前触发',
                onSuccess: '上传成功时触发',
                beforeRemove: '删除文件之前触发',
                headers: '设置上传的请求头部',
                data: '上传时附带的额外参数',
                name: '上传的文件字段名',
                withCredentials: '支持发送 cookie 凭证信息',
                accept: '接受上传的文件类型',
                autoUpload: '是否在选取文件后立即进行上传',
                disabled: '是否禁用',
                limit: '最大允许上传个数'
            }
        },
        audioBox: {
            name: '音频播放器',
            preloadOpt: {
                auto: '自动',
                metadata: '元数据',
                none: '禁止',
            },
            event: {
                pause: '音频播放暂停时触发',
                play: '音频开始播放时触发',
                ended: '音频播放结束后触发'
            },
            props: {
                src: '音频地址',
                type: '音频类型',
                autoplay: '是否自动播放',
                loop: '是否循环播放',
                muted: '是否静音',
                controls: '是否显示控制条',
                preload: '预加载',
            }
        },
        barCodeBox: {
            name: '条形码',
            props: {
                value: '内容',
                format: '条形码的类型',
                width: '单个条形的宽度',
                height: '条形码的高度',
                displayValue: '是否显示内容',
                fontSize: '设置文字的大小',
                textPosition: '设置文字的位置',
                textAlign: '设置文字的对齐方式',
                textMargin: '设置文字的边距',
                background: '条形码的背景色',
                lineColor: '线条的颜色',
            }
        },
        iframeBox: {
            name: '内嵌页面',
            event: {
                load: '页面加载完成后触发',
            },
            loadingOpt: {
                eager: '立即加载',
                lazy: '延迟加载'
            },
            props: {
                src: '页面链接',
                loading: '加载方式'
            }
        },
        qrCodeBox: {
            name: '二维码',
            circleTypeOpt: {
                square: '正方形',
                dots: '点状',
                rounded: '圆形',
                classy: '经典',
            },
            props: {
                data: '内容',
                image: '中心的图片链接',
                width: '二维码的宽度',
                height: '二维码的高度',
                circleType: '点的类型',
                circleColor: '点的颜色',
            }
        },
        signaturePad: {
            name: '手写签名',
            props: {
                penColor: '线条的颜色'
            }
        },
        videoBox: {
            name: '视频播放器',
            event: {
                error: '视频加载失败时触发',
                pause: '视频播放暂停时触发',
                play: '视频开始播放时触发',
                ended: '视频播放结束后触发'
            },
            props: {
                src: '视频地址',
                type: '视频类型',
                autoplay: '是否自动播放',
                loop: '是否循环播放',
                isLive: '是否是直播',
                controls: '是否显示控制条',
                withCredentials: '是否携带凭证',
            }
        },
    },
    tmp: {
        duration: '时长',
        chineseAmount: '金额',
        col3: '三列栅格',
        col4: '四列栅格',
        table43: '4x3表格',
    }
};

export default ZhCn;

